Skip to main content
`Ctrl`+`K`

# PetscSFGetSubSF

Returns an `PetscSF` for a specific subset of points. Leaves are re-numbered to reflect the new ordering

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode PetscSFGetSubSF(PetscSF mainsf, ISLocalToGlobalMapping map, PetscSF *subSF)

Collective

## Input Parameters

- mainsf - `PetscSF` structure

- map - a `ISLocalToGlobalMapping` that contains the subset of points

## Output Parameter

- subSF - a subset of the `mainSF` for the desired subset.

## See Also

`PetscSF`

## Level

intermediate

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages